@page {
    size: A4 portait;
    margin: 1.5cm;

    @bottom-center {
        color: #777;
        content: '- ' counter(page) ' / ' counter(pages) ' -';
        font-family: Open Sans, DejaVu Sans, sans-serif;
        font-size: 8pt;
    }
}

@media print {
    .toc a::after {
        content: leader('.') target-counter(attr(href), page);
    }
}

img {
    page-break-inside: avoid;
}

/*
widows {
    padding: 0 10px;
    border: 1px solid red;
    page-break-before: always;
    display: block;
    widows: 5;
    line-height: 20px;
    font-size: 16px;
    margin-top: 698px;
}

spacer {
    page-break-before: always;
    display: block;
    height: 878px;
}

spacer.four-lines {
    height: 798px;
}

orphans {
    padding: 0 10px;
    border: 1px solid green;
    display: block;
    widows: 0;
    orphans: 3;
    line-height: 20px;
    font-size: 16px;
}
*/